#include "Motor.h"

namespace RoboidControl {

Motor::Motor(Thing* parent) : Thing(parent) {
  this->type = Type::UncontrolledMotor;
}

void Motor::SetTargetVelocity(float targetSpeed) {
    this->targetVelocity = targetSpeed;
}

int Motor::GenerateBinary(char* data, unsigned char* ix) {
  data[(*ix)++] = this->targetVelocity * 127.0f;
  return 1;
}

}  // namespace RoboidControl